

var UniSDK = UniSDK || {

    initCallback: null,
    loginCallback: null,
    payCallback: null,
    logoutCallback: null,
    screenStateCallback: null,

    isAndroid: function () {
        var u = navigator.userAgent;
        var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Linux') > -1;
        return isAndroid;
    },

    isIos: function() {
        var u = navigator.userAgent;
        var isIOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/);
        return isIOS;
    },

    init: function(initCallback, logoutCallback){
        this.initCallback = initCallback;
        this.logoutCallback = logoutCallback;
        if (this.isAndroid()) {
            window.android.init();
        } 
    },

    login: function(loginCallback){
        this.loginCallback = loginCallback;
        if (this.isAndroid()) {
            window.android.login();
        } 
    },

    pay: function(orderInfo, gameData, payCallback){
        this.payCallback = payCallback;
        if (this.isAndroid()) {
            window.android.pay(JSON.stringify(orderInfo), JSON.stringify(gameData));
        }
    },

    showFloat: function(){
        if (this.isAndroid()) {
            window.android.showFloat();
        }
    },

    hideFloat: function(){
        if (this.isAndroid()) {
            window.android.hideFloat();
        }
    },

    logout: function(gameData){
        if (this.isAndroid()) {
            window.android.logout(JSON.stringify(gameData));
        } 
    },

    exit: function(gameData){
        if (this.isAndroid()) {
            window.android.exit(JSON.stringify(gameData));
        } 
    },

    enterGame: function(gameData){
        if (this.isAndroid()) {
            window.android.enterGame(JSON.stringify(gameData));
        } 
    },

    createRole: function(gameData){
        if (this.isAndroid()) {
            window.android.createRole(JSON.stringify(gameData));
        } 
    },

    levelUp: function(gameData){
        if (this.isAndroid()) {
            window.android.levelUp(JSON.stringify(gameData));
        } 
    },

    exitGame: function(gameData){
        if (this.isAndroid()) {
            window.android.exitGame(JSON.stringify(gameData));
        } 
    },

    getChannelId: function(){
        if (this.isAndroid()) {
            return window.android.getChannelId();
        }         
    },

    showToast: function(content){
        if (this.isAndroid()) {
            return window.android.showToast(content);
        } 
    },

    onScreenStateCallback: function(callback){
        this.screenStateCallback = function(res){
            let resJson = JSON.parse(res);
            let type = resJson.type;
            callback(type);
        };
        if (this.isAndroid()) {
            window.android.onScreenStateCallback();
        } 
    }

}

console.log("UniSDK load");